Chapter 23. search
Conduct searches against all registry context.
23.1. conductRepoSearch Copy linkLink copied to clipboard!
Get a list of apps and repositories that match the specified query.
23.1.1. GET /api/v1/find/repositories Copy linkLink copied to clipboard!
Authorizations:
23.1.2. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | includeUsage optional | Whether to include usage metadata | boolean |
| query | page optional | The page. | integer |
| query | query optional | The search query. | string |
23.1.3. Responses Copy linkLink copied to clipboard!
23.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET "https://quay-server.example.com/api/v1/find/repositories?query=<repo_name>&page=1&includeUsage=true" \
-H "Authorization: Bearer <bearer_token>"
23.2. conductSearch Copy linkLink copied to clipboard!
Get a list of entities and resources that match the specified query.
23.2.1. GET /api/v1/find/all Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
23.2.2. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | query optional | The search query. | string |
23.2.3. Responses Copy linkLink copied to clipboard!
23.2.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET "https://quay-server.example.com/api/v1/find/all?query=<mysearchterm>" \
-H "Authorization: Bearer <bearer_token>"
23.3. getMatchingEntities Copy linkLink copied to clipboard!
Get a list of entities that match the specified prefix.
23.3.1. GET /api/v1/entities/{prefix} Copy linkLink copied to clipboard!
Authorizations:
23.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | prefix required | string |
23.3.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | includeOrgs optional | Whether to include orgs names. | boolean |
| query | includeTeams optional | Whether to include team names. | boolean |
| query | namespace optional | Namespace to use when querying for org entities. | string |
23.3.4. Responses Copy linkLink copied to clipboard!
23.3.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET "https://quay-server.example.com/api/v1/entities/<prefix>?includeOrgs=<true_or_false>&includeTeams=<true_or_false>&namespace=<namespace>" \
-H "Authorization: Bearer <bearer_token>"